Loading...
Searching...
No Matches
BALL::VIEW::MDSimulationThread Class Reference

Thread for MDSimulation. More...

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::MDSimulationThread:

## Public Member Functions

| MDSimulationThread ()
virtual | ~MDSimulationThread ()
virtual void | run ()
void | setMolecularDynamics (MolecularDynamics *md)
void | setNumberOfSteps (Size steps)
void | setSaveImages (bool state)
Public Member Functions inherited from BALL::VIEW::SimulationThread
| SimulationThread ()
void | setNumberOfStepsBetweenUpdates (Size steps)
void | setTrajectoryFile (TrajectoryFile *file)
TrajectoryFile * | getTrajectoryFile ()
Public Member Functions inherited from BALL::VIEW::BALLThread
| BALLThread ()
void | setMainControl (MainControl *mf)
void | setComposite (Composite *composite)
Composite * | getComposite ()

## Protected Attributes

MolecularDynamics * | md_
Size | steps_
bool | save_images_
Protected Attributes inherited from BALL::VIEW::SimulationThread
Size | steps_between_updates_
TrajectoryFile * | trajectory_file_
Protected Attributes inherited from BALL::VIEW::BALLThread
MainControl * | main_control_
Composite * | composite_

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::SimulationThread
void | exportSceneToPNG_ ()
| Notify the MainControl to export an PNG.
void | finish_ ()
| Notifies the main thread to delete the simulating thread.
Protected Member Functions inherited from BALL::VIEW::BALLThread
void | sendMessage_ (Message *msg)
void | updateStructure_ ()
void | output_ (const String &string, bool important=false)
| Sends the string as outout to Log.info.
void | waitForUpdateOfRepresentations_ ()

## Detailed Description

Thread for MDSimulation.

Definition at line 244 of file threads.h.

## Constructor & Destructor Documentation

## MDSimulationThread()

BALL::VIEW::MDSimulationThread::MDSimulationThread | ( |  | ) |

## ~MDSimulationThread()

virtual BALL::VIEW::MDSimulationThread::~MDSimulationThread | ( |  | ) |

virtual

## Member Function Documentation

## run()

virtual void BALL::VIEW::MDSimulationThread::run | ( |  | ) |

virtual

Exceptions

  BALL::Exception::NullPointer |

Reimplemented from BALL::VIEW::BALLThread.

## setMolecularDynamics()

void BALL::VIEW::MDSimulationThread::setMolecularDynamics | ( | MolecularDynamics * | md | ) |

## setNumberOfSteps()

void BALL::VIEW::MDSimulationThread::setNumberOfSteps | ( | Size | steps | ) |

inline

Definition at line 262 of file threads.h.

## setSaveImages()

void BALL::VIEW::MDSimulationThread::setSaveImages | ( | bool | state | ) |

inline

Definition at line 265 of file threads.h.

## Member Data Documentation

## md_

MolecularDynamics* BALL::VIEW::MDSimulationThread::md_

protected

Definition at line 268 of file threads.h.

## save_images_

bool BALL::VIEW::MDSimulationThread::save_images_

protected

Definition at line 270 of file threads.h.

## steps_

Size BALL::VIEW::MDSimulationThread::steps_

protected

Definition at line 269 of file threads.h.